Skip to content

Retrieve a recording rule

GET
/v1/recordingrule/{id}/

Return a single recording rule by its ID.

id
required
string format: uuid

A UUID string identifying this recording rule.

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
account
required
string format: uuid
name
required
string
<= 100 characters
query
required
string
<= 1000 characters
agent_type
string format: uuid
nullable
metric_resolution_second
required
integer
default_threshold_high_critical
Threshold high critical
number format: double
nullable
default_threshold_high_warning
Threshold high warning
number format: double
nullable
default_threshold_low_critical
Threshold low critical
number format: double
nullable
default_threshold_low_warning
Threshold low warning
number format: double
nullable
active
boolean
created_at
required
string format: date-time
deactivated_at
string format: date-time
nullable